#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	kf6-kcoreaddons
Version		:	6.3.0
Release		:	17.2.0.rel%{?dist}
Summary		:	KDE Frameworks 6 Tier 1 addon with various classes on top of QtCore

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{sname}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	extra-cmake-modules
BuildRequires	:	kf6-rpm-macros
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qttools-devel
#-----------------------------------------------------------------------------
%description
KCoreAddons provides classes built on top of
QtCore to perform various tasks such as
manipulating mime types, autosaving files,
creating backup files, generating random
sequences, performing text manipulations
such as macro replacement, accessing user
information and many more.

#-----------------------------------------------------------------------------
%files			-f all.lang
%defattr(-,root,root,-)
%doc README.md 
%{_kf6_libdir}/libKF6CoreAddons.so.6*
%{_kf6_qmldir}/org/kde/coreaddons/*
%{_datadir}/qlogging-categories6/%{sname}.categories
%{_datadir}/qlogging-categories6/%{sname}.renamecategories
%{_datadir}/kf6/jsonschema/kpluginmetadata.schema.json
%{_kf6_datadir}/mime/packages/kde6.xml

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_kf6_includedir}/KCoreAddons/*
%{_kf6_libdir}/cmake/KF6CoreAddons/*.cmake
%{_kf6_libdir}/libKF6CoreAddons.so
%{_qt6_docdir}/*.tags

#=============================================================================
%package		doc
Summary		:	Developer Documentation files for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Developer Documentation files for %{name} for
use with KDevelop or QtCreator.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_qt6_docdir}/*.qch

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

cmake								\
	-B _bld							\
	-S .							\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_BINDIR=%{_bindir}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_INSTALL_LIBEXECDIR=%{_libexecdir}		\
	-D BUILD_TESTING=OFF 					\
	-D BUILD_QCH=ON						\

cmake								\
	--build							\
	_bld							\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)	\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}						\
	cmake							\
	--install						\
	_bld

%find_lang_kf6 kcoreaddons6_qt
%find_lang_kf6 kde6_xml_mimetypes
cat *.lang > all.lang
#-----------------------------------------------------------------------------
%changelog
